# Class BtcBalanceInfo

#### Hierarchy

- unknown
  - BtcBalanceInfo

- Defined in src/protobuf/grpc_pb.d.ts:3608
- Defined in src/protobuf/grpc_pb.d.ts:3629

#####
Index

### Constructors

constructor

### Methods

getAvailableBalance
getLockedBalance
getReservedBalance
getTotalAvailableBalance
serializeBinary
setAvailableBalance
setLockedBalance
setReservedBalance
setTotalAvailableBalance
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new BtcBalanceInfo(): BtcBalanceInfo

- #### Returns BtcBalanceInfo

  Inherited from jspb.Message.constructor

## Methods

### getAvailableBalance

- getAvailableBalance(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:3609

### getLockedBalance

- getLockedBalance(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:3618

### getReservedBalance

- getReservedBalance(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:3612

### getTotalAvailableBalance

- getTotalAvailableBalance(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:3615

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3621

### setAvailableBalance

- setAvailableBalance(value: number): BtcBalanceInfo

- #### Parameters

  - ##### value: number

  #### Returns BtcBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3610

### setLockedBalance

- setLockedBalance(value: number): BtcBalanceInfo

- #### Parameters

  - ##### value: number

  #### Returns BtcBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3619

### setReservedBalance

- setReservedBalance(value: number): BtcBalanceInfo

- #### Parameters

  - ##### value: number

  #### Returns BtcBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3613

### setTotalAvailableBalance

- setTotalAvailableBalance(value: number): BtcBalanceInfo

- #### Parameters

  - ##### value: number

  #### Returns BtcBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3616

### toObject

- toObject(includeInstance?: boolean): BtcBalanceInfo.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns BtcBalanceInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3622

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): BtcBalanceInfo

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns BtcBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3625

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: BtcBalanceInfo, reader: BinaryReader): BtcBalanceInfo

- #### Parameters

  - ##### message: BtcBalanceInfo

  - ##### reader: BinaryReader

  #### Returns BtcBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3626

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: BtcBalanceInfo, writer: BinaryWriter): void

- #### Parameters

  - ##### message: BtcBalanceInfo

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3624

### `Static` toObject

- toObject(includeInstance: boolean, msg: BtcBalanceInfo): BtcBalanceInfo.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: BtcBalanceInfo

  #### Returns BtcBalanceInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3623

Generated using TypeDoc